.contact-section-wrapper {
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    background-color: #ffffff;
    position: relative;
    overflow: hidden;
    background: 
    url('../../assets/images/contact-us/bg-contact-left.svg') left center no-repeat,
    url('../../assets/images/contact-us/bg-contact-right.svg') right center no-repeat;
    background-attachment: fixed;
  
}

.contact-section-wrapper .container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0;
    display: flex;
    align-items: stretch; 
    gap: 80px; 
    box-sizing: border-box;
}

.contact-image-col {
    flex: 0 0 50%; 
    max-width: 50%;
}

.contact-image-col img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
    display: block;
}

.contact-info-col {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 160px 0 110px 0;
}
.contact-title {
    color: #006CAF; 
    font-size: 64px;
    font-weight: 400;
    margin: 0 0 20px 0;
}

.company-name {
    color: #565656;
    font-size: 24px;
    font-weight: 500;
    margin: 0 0 15px 0;
    text-transform: uppercase;
}
.company-address {
    color: #565656;
    font-size: 18px;
    line-height: 1.4;
    margin: 0 0 30px 0;
    font-family: "IBM Plex Sans Thai", sans-serif;
    font-weight: 400;
}

.contact-list {
    list-style: none;
    padding: 0;
    margin: 0 0 40px 0;
}

.contact-us-list li {
    display: flex;
    align-items: center;
    gap: 5px;
    margin-bottom: 15px;
    color: #565656;
    font-size: 16px;
}
.contact-us-list li a{
    display: flex;
    align-items: center;
}


.icon img {
    width: 20px;
    height: 20px;
    margin-right: 10px;
}

.custom-modal {
    width: 100%;
    max-width: 800px!important;       
    background: #ffffff;
    border-radius: 12px!important;
}

.modal-title {
    color: #0078D4;         
    font-size: 22px;
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 25px;
}

.cloudflare-dummy {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 300px;
    padding: 15px 20px;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    background-color: #fafafa;
    margin-top: 10px;
}
.contact-us-list, .contact-us-list li{padding-left: 0;}
.contact-select {
    width: 100%;
    padding: 10px 15px;
    padding-right: 40px; 
    font-size: 16px;
    color: #878787;
    border: 1px solid #cccccc;
    border-radius: 4px;
    background-color: #ffffff;
    font-family: inherit;
    outline: none;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: url('../../assets/images/join-us/job-select.svg');
    background-repeat: no-repeat;
    background-position: right 15px center;
    background-size: 16px;
}
@media (max-width: 1536px) {
     .contact-title {font-size: 55px;} 
     .company-name {font-size: 20px;}  
     .company-address {font-size: 14px;line-height: 1.4;margin: 0 0 18px 0;}
     .contact-us-list li {margin-bottom: 10px;font-size: 14px;}
     .contact-section-wrapper .container {max-width: 1100px;}
     .custom-modal {max-width: 700px !important;}
}
@media (max-width: 1280px) {
.contact-section-wrapper .container {max-width: 900px;}
.contact-title {font-size: 40px;}
.company-name {font-size: 16px;}
.company-address, .contact-us-list li {font-size: 14px;}
}
@media (max-width: 1080px) {

}
@media (max-width: 992px) {
    .custom-modal {
        max-width: 500px;
        width: 100%;}
    .btn-outline{width: 185px!important;}
    .contact-section-wrapper {background: url('../../assets/images/contact-us/bg-contact-left.svg') top center no-repeat;}
    .contact-section-wrapper {padding: 126px 0 0 0;}
    .company-address, .contact-us-list li {font-size: 16px;}
    .contact-image-col {
        order: 2; /* ผลักรูปภาพไปอยู่ลำดับสุดท้าย (ฝั่งขวา) */
    }
    .custom-modal {padding: 20px;}
    .contact-section-wrapper .container {
        flex-direction: column; 
        gap: 40px;
    }

    .contact-image-col {
        flex: 0 0 100%;
        max-width: 100%;
        height: auto;
    }

    .contact-info-col {
        padding: 0 20px;
    }
}